esphome:
  name: guest_bdrm
  platform: ESP8266
  board: nodemcuv2

wifi:
  ssid: "Stop stealing my internet"
  password: "password123"

# Enable logging
logger:

# Enable Home Assistant API
api:
  password: "password456"

ota:
  password: "password456"

sensor:
  - platform: dht
    model: DHT22
    pin: D2
    temperature:
      name: Guest Bedroom Temperature
      filters:
        - sliding_window_moving_average:
            window_size: 10
            send_every: 1
    humidity:
      name: Guest Bedroom Humidity
      filters:
        - sliding_window_moving_average:
            window_size: 10
            send_every: 1
    update_interval: 60s

switch:
  - platform: gpio
    id: status_led
    pin: D1
    name: Status LED

interval:
  - interval: 5s
    then:
      - switch.toggle: status_led

